Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.parser
Class StandardParser

    java.lang.Object
      com.singularsys.jep.parser.StandardParser

All Implemented Interfaces:
  JepComponent, Parser, java.io.Serializable

    public class StandardParser

extends java.lang.Object
implements Parser

See Also:
  Serialized Form

Constructor Summary
`StandardParser()`

Method Summary
`Node` | `continueParse()` Parse the next expressions from existing stream.
`JepComponent` | `getLightWeightInstance()` Gets a light-weight instance suitable for using in multiple threads.
`void` | `init(Jep jep)` Initialize the component.
`Node` | `parse(java.io.Reader stream)` Parses the input from the reader `stream`.
`void` | `restart(java.io.Reader stream)` Restart the parser for reentrant parsing of multiple equations.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardParser

    public StandardParser()

Method Detail

### init

    public void init(Jep jep)

  Description copied from interface: `JepComponent`
  Initialize the component. This methods is called whenever a component is added to Jep. Hence it allows components to keep track of the other components they may rely on.

  Specified by:
    `init` in interface `JepComponent`
  Specified by:
    `init` in interface `Parser`
  Parameters:
    `jep` - the current Jep instance

### parse

    public Node parse(java.io.Reader stream)
               throws ParseException

  Parses the input from the reader `stream`. The JavaCC parser is employed to complete this task. Errors are listed in errorList or trapped by catching `ParseException`s.

  Specified by:
    `parse` in interface `Parser`
  Returns:
    the top node of the parse tree.
  Throws:
    `ParseException`

### restart

    public void restart(java.io.Reader stream)

  Description copied from interface: `Parser`
  Restart the parser for reentrant parsing of multiple equations.

  Specified by:
    `restart` in interface `Parser`

### continueParse

    public Node continueParse()
                       throws ParseException

  Parse the next expressions from existing stream. Empty expressions such as ;; are silently ignored.

  Specified by:
    `continueParse` in interface `Parser`
  Returns:
    top node of the expression or null at end of file
  Throws:
    `ParseException`
  See Also:
    `restart(java.io.Reader)`

### getLightWeightInstance

    public JepComponent getLightWeightInstance()

  Description copied from interface: `JepComponent`
  Gets a light-weight instance suitable for using in multiple threads.

  Specified by:
    `getLightWeightInstance` in interface `JepComponent`
  Returns:
    null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep